/**
 * Site.java
 * part of cellularAutomata
 *
 * written by Matthew Shanley
 * matthewshanley@littlesecretsrecords.com
 */

package com.littlesecretsrecords.cellularautomata;

import java.util.*; import java.lang.*;

public class Site {
    private LinkedList myThoughtWords;

    // Constructor
    public Site() {
	myThoughtWords = new LinkedList();
    }

    // Public Methods
    public int getNumThoughtWords() {
	return myThoughtWords.size();
    }

    public String[] getAllThoughtWordTypes() {
	String[] allThoughtWordTypes = new String[myThoughtWords.size()];

	for (int i=0; i<myThoughtWords.size(); i++) {
	    allThoughtWordTypes[i] = ((ThoughtWord)myThoughtWords.get(i)).getThoughtWordType();
	}

	return allThoughtWordTypes;
    }

    // return a random ThoughtWord from LinkedList
    public ThoughtWord takeThoughtWord() {
	if (myThoughtWords.size() == 0) {
	    return null;
	} else {
	    int listPlace = (int)(Math.random()*myThoughtWords.size());
	    ThoughtWord tempThoughtWord = (ThoughtWord)myThoughtWords.get(listPlace);
	    myThoughtWords.remove(listPlace);
	    return tempThoughtWord;
	}
    }

    public void leaveThoughtWord(ThoughtWord newThoughtWord) {
	myThoughtWords.add(newThoughtWord);
    }
}
